Organization
    Cookie Security Configuration
    Organization - Declarative APIs
    Organization - Entity APIs
      Get OrganizationsgetPut OrganizationputPatch OrganizationpatchGet current organization infogetGet Organization Setting entitiesgetPost Organization Setting entitiespostGet Organization Setting entitygetPut Organization Setting entityputDelete Organization Setting entitydeletePatch Organization Setting entitypatch
    Options
    CSP Directives
    JWKS
    Notification Channels
    Identity Providers
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reporting
Export & Automations
Other
Schemas
powered by Zudoku
OpenAPI definition

Organization - Entity APIs

Endpoint:/

Get Organizations

GET
/api/v1/entities/admin/organizations/{id}

Get Organizations › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Get Organizations › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    users
    userGroups
    identityProviders
    bootstrapUser
    bootstrapUserGroup
    identityProvider
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    permissions
    all
    ALL

Get Organizations › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of organization entity.

  • includedarray · unique

    Included resources

  • linksobject
GET /api/v1/entities/admin/organizations/{id}

Put Organization

PUT
/api/v1/entities/admin/organizations/{id}

Put Organization › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Put Organization › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    users
    userGroups
    identityProviders
    bootstrapUser
    bootstrapUserGroup
    identityProvider
    ALL

Put Organization › Request Body

  • dataobject · required

    JSON:API representation of organization entity.

Put Organization › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of organization entity.

  • includedarray · unique

    Included resources

  • linksobject
PUT /api/v1/entities/admin/organizations/{id}

Patch Organization

PATCH
/api/v1/entities/admin/organizations/{id}

Patch Organization › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch Organization › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    users
    userGroups
    identityProviders
    bootstrapUser
    bootstrapUserGroup
    identityProvider
    ALL

Patch Organization › Request Body

  • dataobject · required

    JSON:API representation of patching organization entity.

Patch Organization › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of organization entity.

  • includedarray · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/admin/organizations/{id}

Get current organization info

GET
/api/v1/entities/organization

Gets a basic information about organization.

Get current organization info › query Parameters

  • metaIncludestring[] · unique

    Return list of permissions available to logged user.

    Enum values:
    permissions
    all

Get current organization info › Responses

Redirect to entity URI.

No data returned
GET /api/v1/entities/organization

Get Organization Setting entities

GET
/api/v1/entities/organizationSettings

Get Organization Setting entities › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

Get Organization Setting entities › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/organizationSettings

Post Organization Setting entities

POST
/api/v1/entities/organizationSettings

Post Organization Setting entities › Request Body

  • dataobject · required

    JSON:API representation of organizationSetting entity.

Post Organization Setting entities › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of organizationSetting entity.

  • linksobject
POST /api/v1/entities/organizationSettings

Get Organization Setting entity

GET
/api/v1/entities/organizationSettings/{id}

Get Organization Setting entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Get Organization Setting entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Get Organization Setting entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of organizationSetting entity.

  • linksobject
GET /api/v1/entities/organizationSettings/{id}

Put Organization Setting entity

PUT
/api/v1/entities/organizationSettings/{id}

Put Organization Setting entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Put Organization Setting entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Put Organization Setting entity › Request Body

  • dataobject · required

    JSON:API representation of organizationSetting entity.

Put Organization Setting entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of organizationSetting entity.

  • linksobject
PUT /api/v1/entities/organizationSettings/{id}

Delete Organization Setting entity

DELETE
/api/v1/entities/organizationSettings/{id}

Delete Organization Setting entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Delete Organization Setting entity › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/organizationSettings/{id}

Patch Organization Setting entity

PATCH
/api/v1/entities/organizationSettings/{id}

Patch Organization Setting entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch Organization Setting entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch Organization Setting entity › Request Body

  • dataobject · required

    JSON:API representation of patching organizationSetting entity.

Patch Organization Setting entity › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of organizationSetting entity.

  • linksobject
PATCH /api/v1/entities/organizationSettings/{id}

Organization - Declarative APIsOptions